clc;
clear all;

global duration basevalue bid incr no_agents ideaflag flag;

duration = input('Enter the Auction Duration: ');
basevalue = input('Enter the Base Value: ');
incr = input('Enter the Minimum Increment: ');
no_agents = input('Enter the No. of artificial agents: ');
ideaflag = 0;
flag = 0;
bid = basevalue;

%Various Experiments options

while 1
    fprintf('\n');
    fprintf ('--------------------------\n');
    exp = input('Enter SA for Exp on Simple Auction to find utility,\n BP for Effect of Base Price,\n MI for Effect of Minm. Increment,\n NB for Effect of No. of Bidders\n and Ex to Exit :', 's');
    fprintf ('--------------------------\n');
    
    switch exp
        case 'SA'
            simpleauction_array = test(duration, bid, incr, no_agents,ideaflag, flag);
        case 'BP'
            baseprice_array = test_bp(duration, bid, incr, no_agents,ideaflag, flag);
            p1=input('Do you want to plot graph for Base Price Exp (Y/N) :', 's');
            if p1=='Y'
                plot(baseprice_array(:,1),baseprice_array(:,3));
                xlabel('Base Price');ylabel('Winning Bid');title('\it{Base Price vs. Winning Bid}');
            end
        case 'MI'
            increment_array = test_inc(duration, bid, incr, no_agents,ideaflag, flag);
            p2=input('Do you want to plot graph for Minimum Increment Exp (Y/N) :', 's');
            if p2=='Y'
                plot(increment_array(:,1),increment_array(:,3));
                xlabel('Minimum Increment');ylabel('Winning Bid');title('\it{Minimum Increment vs. Winning Bid}');
            end
        case 'NB'
            no_bidders_array = test_nb(duration, bid, incr, no_agents,ideaflag, flag);
            p3=input('Do you want to plot graph for No. of Bidders Exp (Y/N) :', 's');
            if p3=='Y'
                plot(no_bidders_array(:,1),no_bidders_array(:,3));
                xlabel('No. of Bidders');ylabel('Winning Bid');title('\it{No. of Bidders vs. Winning Bid}');
            end
        case 'Ex'
            break;
    end
end